This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 127301 - Online resizable filesystem missing
Online resizable filesystem missing
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-06 07:42 EDT by Kai Groshert
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-13 05:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Groshert 2004-07-06 07:42:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
In Red Hat Enterprise Linux I can not find any filesystem that can be
resized online, without unmounting.

The included ext2/ext3 version has the online-resize option removed,
as I understand for stability reasons. The obvious alternative would
be XFS which is part of the vanilla kernel now, unfortunately XFS
support is not included in the Red Hat kernel.

I think this should be considered a bug as there is, as of now, no
enterprise-level filesystem available in RHEL.

Are there any plans to support online-resizeable filesystems in RHEL
in the next version? (from bug-id 120850 I can tell its at least not
planned for the 3.0 version)

Especially XFS would be nice as we have been using it for a long time.

Regards,
Kai Groshert



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mkfs -t xfs
2. or on a mounted filesystem:
3. e2fsadm -L +1500M /dev/vg00/homevol
    

Additional info:
Comment 1 Arjan van de Ven 2004-07-06 07:45:12 EDT
ect3 online resizing is most certainly planned for the next release.
Comment 2 Kai Groshert 2004-07-06 08:42:39 EDT
Anything prediction on XFS? It's quite a large patch so its probably
tricky to sync with the rest of the RHEL kernel. It would be very nice
anyway...
Comment 4 Kai Groshert 2004-07-14 06:47:59 EDT
As this bug was assigned to Stephen Tweedie, may I assume this means
"no" concerning the integration of XFS?
Comment 5 Tim Burke 2004-07-14 09:32:09 EDT
Correct. We do not intend to integrate and support XFS.  However we
are pursuing ext3 based online resizing.
Comment 6 Stephen Tweedie 2005-01-06 11:21:09 EST
RHEL-4 will support online resize for ext3.  There are no plans to back-port
that functionality to RHEL-3.
Comment 7 Kai Groshert 2005-05-13 05:20:28 EDT
We were told by a Red Hat consultant that online resize _will_ now be backported
to RHEL-3. Can anyone commment on the date this will happen?

Regards,
Kai Groshert
Comment 8 Arjan van de Ven 2005-05-13 05:31:54 EDT
Can you give details on who that consultant is?
Comment 9 Stephen Tweedie 2005-05-13 05:33:08 EDT
There are still no plans to back-port online resize to RHEL-3.  I'm sorry if
there has been a misunderstanding here.

Note You need to log in before you can comment on or make changes to this bug.